package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.AlarmRecordTargetAddCmd;
import com.zcloud.personnel.positioning.dto.AlarmRecordTargetPageQry;
import com.zcloud.personnel.positioning.dto.AlarmRecordTargetUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.AlarmRecordTargetCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmRecordTargetServiceI {
    PageResponse<AlarmRecordTargetCO> listPage(AlarmRecordTargetPageQry qry);

    List<AlarmRecordTargetCO> listAll();

    AlarmRecordTargetCO queryById(Long id);

    SingleResponse<AlarmRecordTargetCO> add(AlarmRecordTargetAddCmd cmd);

    void edit(AlarmRecordTargetUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
